# distance_func< T, K > Struct Template Reference

`#include <_curve_func.h>`

List of all members.

## Public Member Functions

K | operator() (const T &a, const T &b) const
K | cook (const K &x) const
K | uncook (const K &x) const

## Detailed Description

### template<class T, class K = float>
struct distance_func< T, K >

Definition at line 53 of file _curve_func.h.

## Member Function Documentation

template<class T, class K = float>

K distance_func< T, K >::operator() | ( | const T & | a,
|  | const T & | b |
| ) |  |  | const`[inline]`

Definition at line 55 of file _curve_func.h.

template<class T, class K = float>

K distance_func< T, K >::cook | ( | const K & | x | ) | const`[inline]`

Definition at line 61 of file _curve_func.h.

template<class T, class K = float>

K distance_func< T, K >::uncook | ( | const K & | x | ) | const`[inline]`

Definition at line 62 of file _curve_func.h.

Referenced by bezier< T, float >::find_distance().

The documentation for this struct was generated from the following file:

- _curve_func.h